package com.muyu.carData.event;

import com.alibaba.fastjson.JSONObject;
import org.springframework.context.ApplicationEvent;

/**自定义事件
 * @Author：张腾
 * @Package：com.muyu.carData.event
 * @Project：cloud-server-8
 * @name：EsSaveEvent
 * @Date：2024/9/29 21:15
 */
public class EsSaveEvent extends ApplicationEvent {

    private JSONObject data;


    public EsSaveEvent(Object source,JSONObject data) {
        super(source);
        this.data = data;
    }

    public  JSONObject getData(){
        return data;
    }
}
